Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.maryanovsky.gwtutils.client.ui
Enum Alignment

    java.lang.Object
      java.lang.Enum<Alignment>
          com.maryanovsky.gwtutils.client.ui.Alignment

All Implemented Interfaces:
  Serializable, Comparable<Alignment>

    public enum Alignment

extends Enum<Alignment>

Convenient constants for placement to be used instead of a pair of alignment constants.

Author:
  Maryanovsky Alexander

Enum Constant Summary
`BOTTOM_CENTER`
`BOTTOM_LEFT`
`BOTTOM_RIGHT`
`CENTER`
`MIDDLE_LEFT`
`MIDDLE_RIGHT`
`TOP_CENTER`
`TOP_LEFT`
`TOP_RIGHT`

Method Summary
`HasHorizontalAlignment.HorizontalAlignmentConstant` | `getHorizontalAlignment()` Returns the horizontal alignment constant.
`static Alignment` | `getInstance(HasHorizontalAlignment.HorizontalAlignmentConstant horizontalAlignment, HasVerticalAlignment.VerticalAlignmentConstant verticalAlignment)` Returns the Alignment
`HasVerticalAlignment.VerticalAlignmentConstant` | `getVerticalAlignment()` Returns the vertical alignment constant.
`static Alignment` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static Alignment[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### TOP_LEFT

    public static final Alignment TOP_LEFT

### TOP_CENTER

    public static final Alignment TOP_CENTER

### TOP_RIGHT

    public static final Alignment TOP_RIGHT

### MIDDLE_LEFT

    public static final Alignment MIDDLE_LEFT

### CENTER

    public static final Alignment CENTER

### MIDDLE_RIGHT

    public static final Alignment MIDDLE_RIGHT

### BOTTOM_LEFT

    public static final Alignment BOTTOM_LEFT

### BOTTOM_CENTER

    public static final Alignment BOTTOM_CENTER

### BOTTOM_RIGHT

    public static final Alignment BOTTOM_RIGHT

Method Detail

### values

    public static Alignment[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (Alignment c : Alignment.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static Alignment valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### getInstance

    public static Alignment getInstance(HasHorizontalAlignment.HorizontalAlignmentConstant horizontalAlignment,
                                        HasVerticalAlignment.VerticalAlignmentConstant verticalAlignment)

  Returns the Alignment

### getHorizontalAlignment

    public HasHorizontalAlignment.HorizontalAlignmentConstant getHorizontalAlignment()

  Returns the horizontal alignment constant.

### getVerticalAlignment

    public HasVerticalAlignment.VerticalAlignmentConstant getVerticalAlignment()

  Returns the vertical alignment constant.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD